; Find the next function defined in the current file.  Piggy-backs on
; EPM 6's TAGS support.  This is intended to be included from your
; MYSTUFF.E, so that we don't have to worry about including the MYCNF.E
; to determine the value of the WANT_TAGS configuration constant.
;                        Larry Margolis

compile if WANT_TAGS  -- Requires tag support
defc findfunc
 compile if WANT_TAGS = 'DYNALINK'     -- We might need to link the tags support
   if not isadefproc('proc_search') then
      'linkverify tags'
      if rc<0 then
         return
      endif
   endif
 compile endif -- WANT_TAGS = 'DYNALINK'
   ext=filetype()
   if not tags_supported(ext) then
      sayerror "Don't know how to do tags for file of type '"ext"'"
      return
   endif
   proc_name=''
   rc=proc_search(proc_name,1,ext)
   if rc then sayerror rc; endif
compile endif -- WANT_TAGS

